API Documentation
Integrate PeeX into your applications
Simple and powerful REST API to automate your payments and collections. Test in sandbox, deploy in production.
Base URL (Sandbox)
https://sandbox.peexit.com/api/v1/quick-start.js
// Example: Create a Mobile Money collection
const response = await fetch('https://sandbox.peexit.com/api/v1/collection/request_payment', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'SECRETKEY': 'your-secret-key'
},
body: JSON.stringify({
amount: 10, // In sandbox, the amount is fixed at 10 FCFA
phone: '237XXXXXXXXX',
operator: 'orange', // or 'mtn'
reference: 'ORDER-123'
})
});
const data = await response.json();
console.log(data);Overview
Available APIs
Explore our APIs for payments, collections and more.
Remittance
Send payments to Mobile Money and banks
Collect
Collect payments via Mobile Money
Webhooks
Real-time transaction notifications
Reference
API Endpoints
Authentication
Authentication via SECRETKEY in HTTP headers
Header
SECRETKEY: your-secret-keyAuthentication headerRemittance API
Send payments to Mobile Money and bank accounts
GET
/remittance/mePartner infoPOST
/remittance/phone_verificationPhone verificationPOST
/remittance/request_paymentMobile Money paymentPOST
/remittance/bank_request_paymentBank paymentGET
/remittance/all_requestsTransaction listCollect API
Collect payments via Mobile Money
POST
/collection/request_paymentCreate collectionGET
/collection/all_requestsTransaction listGET
/collection/get_feesCalculate feesGET
/collection/mePartner account infoReference
Formatting standards and status codes
DOC
Data FormattingFormatting guidelinesDOC
Transaction StatusStatus codesDOC
Error CodesError handlingWebhooks
Receive real-time notifications
POST
Your callback URLTransaction notificationSandbox Note
The sandbox environment uses fixed amounts of 10 FCFA for testing. Production credentials are provided by email after your account is validated.
Request production accessReady to integrate PeeX?
Check out our complete documentation to start the integration.